| Home | Libraries | People | FAQ | More

## Class template has_const_time_insert

boost::algorithm::has_const_time_insert — Const time insert trait.

## Synopsis

    template<typename T>
    class has_const_time_insert {
    public:
      // types
      typedef mpl::bool_< value > type;

      // public member functions
       BOOST_STATIC_CONSTANT(bool, value = false) ;
    };

## Description

This trait specifies that the sequence's insert method has constant time complexity.

### `has_const_time_insert` public member functions

1.      BOOST_STATIC_CONSTANT(bool , value  = false) ;

| Copyright © 2002-2004 Pavol Droba